## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASEBaseTableLoader

    java.lang.Object
      org.eclipse.datatools.enablement.ase.catalog.SybaseASEBaseTableLoader

Direct Known Subclasses:
  SybaseASEProxyTableLoader

    public class SybaseASEBaseTableLoader

extends java.lang.Object

The loader is responsible for loading table's information such as columns, constraints and so on.

Author:
  Hao wang

Field Summary
`static int` `DEFAULT_CONCURRENCY_THRESHOLD`
`static java.lang.String` `HASH`
`static java.lang.String` `LIST`
`static java.lang.String` `RANGE`
`static java.lang.String` `ROUND_ROBIN`

Constructor Summary
`SybaseASEBaseTableLoader(SybaseASEBaseTable masterObj)`

Method Summary
`Database` `getCatalogDatabase()`
`org.eclipse.emf.common.util.EList` `getColumns()`
`int` `getConcurrencyOptThreshold()`
`java.sql.Connection` `getConnection()`
`org.eclipse.emf.common.util.EList` `getConstraints()`
`int` `getExpRowSize()`
`int` `getFillFactor()`
`int` `getIdentityGap()`
`org.eclipse.emf.common.util.EList` `getIndex()`
`org.eclipse.emf.common.util.EList` `getLockPromotion()`
`LockingSchemaType` `getLockSchema()`
`int` `getMaxRowPerPage()`
`SybaseASEPartition` `getPartitionCondition()`
`int` `getPartitions()`
`org.eclipse.emf.common.util.EList` `getPrivileges()`
`int` `getReservePageGap()`
`SybaseASESegment` `getSegment()`
`int` `getStatus()`
`int` `getTableId()`
`CacheInfo` `getTableOnlyCacheInfo()`
`SybaseASESegment` `getTextImageSegment()`
`CacheInfo` `getTextOnlyCacheInfo()`
`org.eclipse.emf.common.util.EList` `getTriggers()`
`boolean` `isNeedRefresh()`
`void` `refresh()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONCURRENCY_THRESHOLD

    public static final int DEFAULT_CONCURRENCY_THRESHOLD

See Also:
  Constant Field Values

### HASH

    public static final java.lang.String HASH

See Also:
  Constant Field Values

### LIST

    public static final java.lang.String LIST

See Also:
  Constant Field Values

### RANGE

    public static final java.lang.String RANGE

See Also:
  Constant Field Values

### ROUND_ROBIN

    public static final java.lang.String ROUND_ROBIN

See Also:
  Constant Field Values

Constructor Detail

### SybaseASEBaseTableLoader

    public SybaseASEBaseTableLoader(SybaseASEBaseTable masterObj)

Method Detail

### getConnection

    public java.sql.Connection getConnection()

### getCatalogDatabase

    public Database getCatalogDatabase()

### refresh

    public void refresh()

### getTableId

    public int getTableId()

### getStatus

    public int getStatus()

### getColumns

    public org.eclipse.emf.common.util.EList getColumns()

### getConstraints

    public org.eclipse.emf.common.util.EList getConstraints()

### getIndex

    public org.eclipse.emf.common.util.EList getIndex()

### getTextImageSegment

    public SybaseASESegment getTextImageSegment()

### getTriggers

    public org.eclipse.emf.common.util.EList getTriggers()

### getLockSchema

    public LockingSchemaType getLockSchema()

### getFillFactor

    public int getFillFactor()

### getMaxRowPerPage

    public int getMaxRowPerPage()

### getExpRowSize

    public int getExpRowSize()

### getReservePageGap

    public int getReservePageGap()

### getIdentityGap

    public int getIdentityGap()

### getSegment

    public SybaseASESegment getSegment()

### getTableOnlyCacheInfo

    public CacheInfo getTableOnlyCacheInfo()

### getTextOnlyCacheInfo

    public CacheInfo getTextOnlyCacheInfo()

### getConcurrencyOptThreshold

    public int getConcurrencyOptThreshold()

### getPartitions

    public int getPartitions()

### getPartitionCondition

    public SybaseASEPartition getPartitionCondition()

### getLockPromotion

    public org.eclipse.emf.common.util.EList getLockPromotion()

### getPrivileges

    public org.eclipse.emf.common.util.EList getPrivileges()

### isNeedRefresh

    public boolean isNeedRefresh()